package de.accso.flexinale.besucherportal.application.services;

import de.accso.flexinale.backoffice_api_contract.api_contract.KinoRetriever;
import de.accso.flexinale.backoffice_api_contract.api_contract.model.KinoTO;
import de.accso.flexinale.common.shared_kernel.Identifiable;

import java.util.List;

public class KinoService {

    private final KinoRetriever kinoRetriever;

    public KinoService(final KinoRetriever kinoRetriever) {
        this.kinoRetriever = kinoRetriever;
    }

    public List<KinoTO> kinos() {
        return kinoRetriever.kinos();
    }

    public KinoTO kino(final Identifiable.Id id) {
        return kinoRetriever.kino(id);
    }
}
